【活用ガイド】

[English]

JVNDB-2009-000005

MODx における SQL インジェクションの脆弱性

概要

オープンソースのコンテンツ管理システムである MODx には、SQL インジェクションの脆弱性が存在します。

オープンソースのコンテンツ管理システムである MODx には、管理画面において SQL インジェクションの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者:三井物産セキュアディレクション株式会社 望月 岳 氏

CVSS による深刻度 (CVSS とは?)

基本値: 5.1 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


MODX
  • MODX 0.9.6.2 およびそれ以前

想定される影響

遠隔の第三者が、MODx で作成されたコンテンツの管理者権限を取得する可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版へアップデートしてください。
ベンダ情報

MODX
CWEによる脆弱性タイプ一覧  CWEとは?

  1. SQLインジェクション(CWE-89) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2008-5940
参考情報

  1. JVN : JVN#72630020
  2. National Vulnerability Database (NVD) : CVE-2008-5940
  3. Secunia Advisory : SA33405
  4. SecurityFocus : 33182
  5. ISS X-Force Database : 47840
  6. JVN iPedia (English) : JVNDB-2009-000005
更新履歴

[2009年01月09日]
  掲載